<?xml version="1.0" encoding="utf-8"?>
<flashfile version="1">
    <id>fastboot_dnx</id>
    <platform>anzhen4_mrd7</platform>
        <code_group name="esp">
            <file TYPE="esp">
                <name>esp.img</name>
                <version>eng.buildbot</version>
            </file>
        </code_group>
        <code_group name="droidboot">
            <file TYPE="droidboot">
                <name>droidboot.img</name>
                <version>eng.buildbot</version>
            </file>
        </code_group>
        <code_group name="boot">
            <file TYPE="boot">
                <name>boot.img</name>
                <version>eng.buildbot</version>
            </file>
        </code_group>
        <code_group name="recovery">
            <file TYPE="recovery">
                <name>recovery.img</name>
                <version>eng.buildbot</version>
            </file>
        </code_group>
        <code_group name="system">
            <file TYPE="system">
                <name>system.img</name>
                <version>eng.buildbot</version>
            </file>
        </code_group>

        <code_group name="osloader">
            <file TYPE="osloader">
                <name>efilinux-userdebug.efi</name>
                <version>eng.buildbot</version>
            </file>
        </code_group>
        <code_group name="CONFIG">
            <file TYPE="PARTITION_TABLE">
                <name>partition.tbl</name>
                <version>eng.buildbot</version>
            </file>
        </code_group>
        <command>
            <string>fastboot oem start_partitioning</string>
            <timeout>60000</timeout>
            <retry>2</retry>
            <description>Start partitioning.</description>
            <mandatory>1</mandatory>
        </command>
        <command>
            <string>fastboot flash /tmp/partition.tbl $partition_table_file</string>
            <timeout>60000</timeout>
            <retry>2</retry>
            <description>Push the new partition table to the device.</description>
            <mandatory>1</mandatory>
        </command>
        <command>
            <string>fastboot oem partition /tmp/partition.tbl</string>
            <timeout>60000</timeout>
            <retry>2</retry>
            <description>Apply the new partition scheme.</description>
            <mandatory>1</mandatory>
        </command>
        <command>
            <string>fastboot format factory</string>
            <timeout>60000</timeout>
            <retry>2</retry>
            <description>fastboot format factory.</description>
            <mandatory>1</mandatory>
        </command>
		<command>
            <string>fastboot format system</string>
            <timeout>60000</timeout>
            <retry>2</retry>
            <description>fastboot format system.</description>
            <mandatory>1</mandatory>
        </command>
		<command>
            <string>fastboot format cache</string>
            <timeout>60000</timeout>
            <retry>2</retry>
            <description>fastboot format cache.</description>
            <mandatory>1</mandatory>
        </command>
		<command>
            <string>fastboot format config</string>
            <timeout>60000</timeout>
            <retry>2</retry>
            <description>fastboot format config.</description>
            <mandatory>1</mandatory>
        </command>
		<command>
            <string>fastboot format logs</string>
            <timeout>60000</timeout>
            <retry>2</retry>
            <description>fastboot format logs.</description>
            <mandatory>1</mandatory>
        </command>
		<command>
            <string>fastboot format data</string>
            <timeout>60000</timeout>
            <retry>2</retry>
            <description>fastboot format data.</description>
            <mandatory>1</mandatory>
        </command>
        <command>
            <string>fastboot oem stop_partitioning</string>
            <timeout>60000</timeout>
            <retry>2</retry>
            <description>Stop partitioning.</description>
            <mandatory>1</mandatory>
        </command>
		<command>
            <string>fastboot oem wipe ESP</string>
            <timeout>60000</timeout>
            <retry>2</retry>
            <description>fastboot oem wipe ESP.</description>
            <mandatory>1</mandatory>
        </command>
		<command>
            <string>fastboot oem wipe reserved</string>
            <timeout>60000</timeout>
            <retry>2</retry>
            <description>fastboot oem wipe reserved.</description>
            <mandatory>1</mandatory>
        </command>
        <command>
            <string>fastboot flash ESP $esp_file</string>
            <timeout>60000</timeout>
            <retry>2</retry>
            <description>Flashing 'ESP' image.</description>
            <mandatory>1</mandatory>
        </command>
        <command>
            <string>fastboot flash fastboot $droidboot_file</string>
            <timeout>60000</timeout>
            <retry>2</retry>
            <description>Flashing 'fastboot' image.</description>
            <mandatory>1</mandatory>
        </command>
		<command>
            <string>fastboot format cache</string>
            <timeout>60000</timeout>
            <retry>2</retry>
            <description>fastboot format cache.</description>
            <mandatory>1</mandatory>
        </command>
		<command>
            <string>fastboot erase system</string>
            <timeout>60000</timeout>
            <retry>2</retry>
            <description>fastboot erase system.</description>
            <mandatory>1</mandatory>
        </command>
		<command>
            <string>fastboot flash fastboot $droidboot_file</string>
            <timeout>60000</timeout>
            <retry>2</retry>
            <description>Flashing 'droidboot' image</description>
            <mandatory>1</mandatory>
        </command>
        <command>
            <string>fastboot flash boot $boot_file</string>
            <timeout>60000</timeout>
            <retry>2</retry>
            <description>Flashing 'boot' image.</description>
            <mandatory>1</mandatory>
        </command>
        <command>
            <string>fastboot flash recovery $recovery_file</string>
            <timeout>60000</timeout>
            <retry>2</retry>
            <description>Flashing 'recovery' image.</description>
            <mandatory>1</mandatory>
        </command>
        <command>
            <string>fastboot flash -S 200M system $system_file</string>
            <timeout>420000</timeout>
            <retry>2</retry>
            <description>Flashing 'system' image.</description>
            <mandatory>1</mandatory>
        </command>
	    <command>
            <string>fastboot continue</string>
            <timeout>60000</timeout>
            <retry>2</retry>
            <description>reboot system</description>
            <mandatory>1</mandatory>
        </command>
</flashfile>